import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn,
  OneToMany,
} from 'typeorm';
import { ProductSubCategories } from './productSubCategory.entity';
import { BaseModel } from '../../config/basemodel.entity';

@Entity()
export class Product extends BaseModel{
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column()
  code: string;

  @Column()
  status: string;

  @OneToMany(
    () => ProductSubCategories,
    (subCategories) => subCategories.category,
  )
  subCategories: ProductSubCategories;
}
